## org.eclipse.amp.agf.gef
Class GenericEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.amp.agf.gef.GenericEditPart

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.RequestConstants

Direct Known Subclasses:
  AgentNodeEditPart, ScapeEditPart

    public abstract class GenericEditPart

extends org.eclipse.gef.editparts.AbstractGraphicalEditPart
implements java.beans.PropertyChangeListener

Field Summary
`static org.eclipse.draw2d.Border` `HIGHLIGHT_ELLIPSE`
`static org.eclipse.draw2d.Border` `HIGHLIGHT_RECTANGLE`
`static int` `SCALE`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`GenericEditPart()`

Method Summary
`void` `activate()` Upon activation, attach to the model element as a property change listener.
`void` `deactivate()`
`void` `propertyChange(java.beans.PropertyChangeEvent evt)`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`addNodeListener, addNotify, getAdapter, getContentPane, getDragTracker, getFigure, getSourceConnections, getTargetConnections, refresh, removeNodeListener, removeNotify, setLayoutConstraint`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.EditPart
`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Field Detail

### SCALE

    public static final int SCALE

See Also:
  Constant Field Values

### HIGHLIGHT_RECTANGLE

    public static final org.eclipse.draw2d.Border HIGHLIGHT_RECTANGLE

### HIGHLIGHT_ELLIPSE

    public static final org.eclipse.draw2d.Border HIGHLIGHT_ELLIPSE

Constructor Detail

### GenericEditPart

    public GenericEditPart()

Method Detail

### activate

    public void activate()

  Upon activation, attach to the model element as a property change listener.

  Specified by:
    `activate` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `activate` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### deactivate

    public void deactivate()

  Specified by:
    `deactivate` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `deactivate` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`